Notices


Reply
Thread Tools
Posts: 134 | Thanked: 91 times | Joined on Nov 2009 @ Imperial College London
#1
Hi everyone,

Is there currently any way of connecting to a PPTP VPN that requires MPPE on the N900?

I have searched around, and it seems possible, though not straightforward, on the previous tablets: http://fanoush.wz.cz/maemo/#pptp

If someone is working on this I would be keen to offer any assistance to get this up and running (I can't connect to any work computers unless I'm already on the VPN so it's quite important for me!).

I couldn't find any bugs related to this, but didn't want to add one until it was confirmed as unsupported.

Thanks for any ideas,
Jan
 
Posts: 1,208 | Thanked: 1,028 times | Joined on Oct 2007
#2
It is unsupported for sure, because even pppd isn't included
 

The Following User Says Thank You to mikkov For This Useful Post:
Posts: 2,152 | Thanked: 1,490 times | Joined on Jan 2006 @ Czech Republic
#3
And also kernel has PPP protocol disabled. Unbelievable. So it looks like you can't connect to internet via other bluetooth enabled phone when using N900 as a tablet, without SIM. That's pretty lame.

I can try to build kernel with ppp and mppe enabled, hopefully it just needs few extra modules and no kernel flashing as crypto API is already enabled. Then one needs pppd binary. Shouldn't be hard to take source from diablo and rebuild it.
__________________
Newbies click here before posting. Thanks.

If you really need to PM me with troubleshooting question please consider posting it to the forum instead. It is OK to PM me a link to such post then. Thank you.

Last edited by fanoush; 2009-12-07 at 15:08.
 

The Following 5 Users Say Thank You to fanoush For This Useful Post:
Posts: 42 | Thanked: 25 times | Joined on Sep 2009
#4
It's a shame. My office router does:
- IPSEC
- L2TP
- PPTP
- GRE

My N900
- openvpn
- vpnc(Special Cisco Client)

So anyone willing to invent another VPN-Solution

Yes: pptp would be a nice solution. It's not that secure
but it's easy to handle as most routers have at least
pptp passthrough.
 
Posts: 2,152 | Thanked: 1,490 times | Joined on Jan 2006 @ Czech Republic
#5
For the adventurous here are modules and diablo ppp binary rebuilt for fremantle. As I don't have N900 I don't know how useful it is. Maybe not much :-)

http://fanoush.wz.cz/maemo/modules-2...0094102.tar.gz
http://fanoush.wz.cz/maemo/ppp_2.4.4...sso4_armel.deb

Hopefully It should be enough to insmod slhc and ppp* stuff in drivers/net/ and maybe sha1 in crypto/, install ppp and continue as with previous tablets.
__________________
Newbies click here before posting. Thanks.

If you really need to PM me with troubleshooting question please consider posting it to the forum instead. It is OK to PM me a link to such post then. Thank you.

Last edited by fanoush; 2009-12-07 at 16:29.
 

The Following User Says Thank You to fanoush For This Useful Post:
Posts: 134 | Thanked: 91 times | Joined on Nov 2009 @ Imperial College London
#6
Originally Posted by fanoush View Post
For the adventurous here are modules and diablo ppp binary rebuilt for fremantle. As I don't have N900 I don't know how useful it is. Maybe not much :-)

http://fanoush.wz.cz/maemo/modules-2...0094102.tar.gz
http://fanoush.wz.cz/maemo/ppp_2.4.4...sso4_armel.deb

Hopefully It should be enough to insmod slhc and ppp* stuff in drivers/net/ and maybe sha1 in crypto/, install ppp and continue as with previous tablets.
Thanks Fanoush! I'll give it a try in the next couple of days and let everyone know how it goes.

Jan
 

The Following User Says Thank You to Big Phat Jan For This Useful Post:
Posts: 89 | Thanked: 131 times | Joined on Oct 2009
#7
Hey, you only live once, right? How disastrous can trashing your kernel be?
 
Posts: 134 | Thanked: 91 times | Joined on Nov 2009 @ Imperial College London
#8
Originally Posted by rcs1000 View Post
Hey, you only live once, right? How disastrous can trashing your kernel be?
Perhaps I've misinterpreted this post and you're trying to be helpful? Assuming that's the case, perhaps you could go into a bit more detail - I've been taking it for granted that there's not much I can do (to the kernel or otherwise) that reflashing wouldn't sort out? If anyone knows better please let me know!

For a bit of background, I've been looking after my research group's small (15 machine) network of servers and workstations for the past couple of years, and I can't connect to them at all without first joining the uni VPN. Being able to fix problems on the go from my phone would make this part of my work much easier.

I'm completely prepared to "trash my kernel" a few times (assuming it can be recovered by reflashing) if there's a chance of getting this up and running.

Anyway. Back to work.

Jan
 
Posts: 24 | Thanked: 13 times | Joined on Nov 2009
#9
thanks for your efforts. all progress will be greatly appreciated and avidly tested.
 
Posts: 134 | Thanked: 91 times | Joined on Nov 2009 @ Imperial College London
#10
I have tried to insmod slhc.ko and am getting the following error:

insmod: error inserting 'slhc.ko': -1 Invalid module format

# dmesg | grep slhc

gives:

slhc: no symbol version for struct_module

From a bit of googling this seems it could be related to this post.

Any ideas on what to do next would be welcome!

Cheers,
Jan

p.s. The same error occurs for the ppp* modules as well.
 
Reply

Tags
vpn pptp mppe n900

Thread Tools

 
Forum Jump


All times are GMT. The time now is 13:01.